# Delivery Adjustments

Delivery Adjustments are used to handle end customer delivery complaints for the Delivery Pricing charge model. For more information, see <a href="https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Delivery_Adjustments" target="_blank">Delivery Adjustments</a>.  


## List all delivery adjustments of a subscription

 - [GET /v1/adjustments](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/get_subscription_adjustments.md): Describes how to retrieve detailed information about delivery adjustments of a subscription.

Note: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center.

## Create a delivery adjustment

 - [POST /v1/adjustments](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/create_adjustment.md): Describes how to create one or more delivery adjustments for a subscription. 

Notes: 
- The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center.
- This operation supports a partial success scenario: when at least one eligible delivery adjustment exists for a given time period, “success = true” as well as eligible delivery adjustments and ineligible delivery adjustments are returned in the response; only when no delivery adjustment is eligible, “success=false” is returned.

## Preview a delivery adjustment

 - [POST /v1/adjustments/preview](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/preview_adjustment.md): Describes how to preview delivery adjustments of a subscription.

Notes: 
- The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center.
- This operation supports a partial success scenario: when at least one eligible delivery adjustment exists for a given time period, “success = true” as well as eligible delivery adjustments and ineligible delivery adjustments are returned in the response; only when no delivery adjustment is eligible, “success=false” is returned.

## Retrieve a delivery adjustment

 - [GET /v1/adjustments/{adjustment-key}](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/get_adjustment.md): Describes how to retrieve detailed information about a delivery adjustment.

Note: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center.

## Cancel a delivery adjustment

 - [PUT /v1/adjustments/{adjustmentId}/cancel](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/put_canceladjustment.md): Describes how to cancel an unbilled delivery adjustment.

Note: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center.

